"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _FormGroupContext = require("./FormGroupContext");
var _FormCheckboxSetContext = require("./FormCheckboxSetContext");
var _FormControlSet = _interopRequireDefault(require("./FormControlSet"));
var _jsxRuntime = require("react/jsx-runtime");
const _excluded = ["children", "name", "value", "defaultValue", "isInline", "onChange", "onFocus", "onBlur"];
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var s = Object.getOwnPropertySymbols(e); for (r = 0; r < s.length; r++) o = s[r], t.includes(o) || {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.includes(n)) continue; t[n] = r[n]; } return t; }
const FormCheckboxSet = _ref => {
  let {
      children,
      name,
      value,
      defaultValue,
      isInline,
      onChange,
      onFocus,
      onBlur
    } = _ref,
    props = _objectWithoutProperties(_ref, _excluded);
  const {
    getControlProps,
    useSetIsControlGroupEffect
  } = (0, _FormGroupContext.useFormGroupContext)();
  useSetIsControlGroupEffect(true);
  const controlProps = getControlProps(props);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_FormCheckboxSetContext.FormCheckboxSetContextProvider, {
    name: name,
    value: value,
    defaultValue: defaultValue,
    onFocus: onFocus,
    onBlur: onBlur,
    onChange: onChange,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_FormControlSet.default, _objectSpread(_objectSpread({
      role: "group",
      isInline: isInline
    }, controlProps), {}, {
      children: children
    }))
  });
};
FormCheckboxSet.propTypes = {
  /** Specifies contents of the component. */
  children: _propTypes.default.node.isRequired,
  /** Specifies class name to append to the base element. */
  className: _propTypes.default.string,
  /** Specifies name for the component. */
  name: _propTypes.default.string.isRequired,
  /** Specifies values for the checkboxes. */
  value: _propTypes.default.arrayOf(_propTypes.default.string),
  /** Specifies default values for the checkboxes. */
  defaultValue: _propTypes.default.arrayOf(_propTypes.default.string),
  /** Specifies whether to display components with inline styling. */
  isInline: _propTypes.default.bool,
  /** Specifies onChange event handler. */
  onChange: _propTypes.default.func,
  /** Specifies onFocus event handler. */
  onFocus: _propTypes.default.func,
  /** Specifies onBlur event handler. */
  onBlur: _propTypes.default.func
};
FormCheckboxSet.defaultProps = {
  className: undefined,
  value: undefined,
  defaultValue: undefined,
  isInline: false,
  onChange: undefined,
  onFocus: undefined,
  onBlur: undefined
};
var _default = exports.default = FormCheckboxSet;
//# sourceMappingURL=FormCheckboxSet.js.map