"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getStaticUrl = exports.getRelativeUrl = void 0;
const getLocatorSafeName = _ref => {
  let {
    displayName
  } = _ref;
  const locatorSafeName = displayName.replace(/[^\w.%-]/gm, '');
  return locatorSafeName;
};
const getStaticUrl = _ref2 => {
  let {
    displayName
  } = _ref2;
  return `/static/${getLocatorSafeName({
    displayName
  })}`;
};
exports.getStaticUrl = getStaticUrl;
const getRelativeUrl = _ref3 => {
  let {
    courseId,
    displayName
  } = _ref3;
  if (displayName) {
    const assetCourseId = courseId.replace('course', 'asset');
    const assetPathShell = `/${assetCourseId}+type@asset+block@`;
    return `${assetPathShell}${displayName}`;
  }
  return '';
};
exports.getRelativeUrl = getRelativeUrl;
//# sourceMappingURL=utils.js.map